Bug 841517 - [engine-core] auto-recovery: connectStorageServer should be sent before each activateStorageDomain attempt
[engine-core] auto-recovery: connectStorageServer should be sent before each ...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Liron Aravot
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 05:30 EDT by Haim
Modified: 2016-02-10 12:14 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 05:40:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-07-19 05:30:21 EDT
Description of problem:


auto-recovery feature tries to activate storage domain in inactive, it send only connectStorageServer once, and then keeps on sending activateStorageDomain command, during that time, if storage is disconnected from some-reason, it will continue to fail, and will not be able to recover.


[root@nott-vds1 ~]# egrep 'activateStorageDomain|connectStorageServer' /var/log/vdsm/vdsm.log  | grep Run

Thread-53918::INFO::2012-07-19 14:01:10,640::logUtils::37::dispatcher::(wrapper) Run and protect: connectStorageServer(domType=3, spUUID='cacbdf16-d006-11e1-b98a-001a4a16970e', conList=[{'connection': '10.35.160.7', 'iqn': 'iqn.2008-05.com.xtremio:90e2ba16e2d5', 'portal': '1', 'user': '', 'password': '******', 'id': '7a197c4c-9bce-4172-97da-141518b17f18', 'port': '3260'}, {'connection': '10.35.160.8', 'iqn': 'iqn.2008-05.com.xtremio:001b21b545c1', 'portal': '1', 'user': '', 'password': '******', 'id': '13aaced0-b0e0-4082-9d24-8348a4678fe1', 'port': '3260'}, {'connection': '10.35.64.10', 'iqn': 'demo-storage-1', 'portal': '1', 'user': '', 'password': '******', 'id': 'bfa67392-2335-4259-876c-10322e476b4b', 'port': '3260'}, {'connection': '10.35.64.10', 'iqn': 'demo-storage-2', 'portal': '1', 'user': '', 'password': '******', 'id': '582b65b3-916d-4f34-a861-2b2bf0c5314f', 'port': '3260'}, {'connection': '10.35.160.9', 'iqn': 'iqn.2008-05.com.xtremio:90e2ba16e2d4', 'portal': '1', 'user': '', 'password': '******', 'id': '458dd0cf-13c3-4f80-b497-94d931f14824', 'port': '3260'}], options=None)
Thread-53918::INFO::2012-07-19 14:01:11,402::logUtils::39::dispatcher::(wrapper) Run and protect: connectStorageServer, Return response: {'statuslist': [{'status': 0, 'id': '7a197c4c-9bce-4172-97da-141518b17f18'}, {'status': 0, 'id': '13aaced0-b0e0-4082-9d24-8348a4678fe1'}, {'status': 0, 'id': 'bfa67392-2335-4259-876c-10322e476b4b'}, {'status': 0, 'id': '582b65b3-916d-4f34-a861-2b2bf0c5314f'}, {'status': 0, 'id': '458dd0cf-13c3-4f80-b497-94d931f14824'}]}
Thread-54141::INFO::2012-07-19 14:06:35,500::logUtils::37::dispatcher::(wrapper) Run and protect: activateStorageDomain(sdUUID='6444a4b5-dcdc-4341-96a1-4bd96553aaeb', spUUID='cacbdf16-d006-11e1-b98a-001a4a16970e', options=None)
Thread-54400::INFO::2012-07-19 14:11:08,920::logUtils::37::dispatcher::(wrapper) Run and protect: activateStorageDomain(sdUUID='6444a4b5-dcdc-4341-96a1-4bd96553aaeb', spUUID='cacbdf16-d006-11e1-b98a-001a4a16970e', options=None)
Thread-54699::INFO::2012-07-19 14:16:08,905::logUtils::37::dispatcher::(wrapper) Run and protect: activateStorageDomain(sdUUID='6444a4b5-dcdc-4341-96a1-4bd96553aaeb', spUUID='cacbdf16-d006-11e1-b98a-001a4a16970e', options=None)
Thread-54995::INFO::2012-07-19 14:21:08,954::logUtils::37::dispatcher::(wrapper) Run and protect: activateStorageDomain(sdUUID='6444a4b5-dcdc-4341-96a1-4bd96553aaeb', spUUID='cacbdf16-d006-11e1-b98a-001a4a16970e', options=None)
Thread-55295::INFO::2012-07-19 14:26:09,099::logUtils::37::dispatcher::(wrapper) Run and protect: activateStorageDomain(sdUUID='6444a4b5-dcdc-4341-96a1-4bd96553aaeb', spUUID='cacbdf16-d006-11e1-b98a-001a4a16970e', options=None)
Thread-55594::INFO::2012-07-19 14:31:08,939::logUtils::37::dispatcher::(wrapper) Run and protect: activateStorageDomain(sdUUID='6444a4b5-dcdc-4341-96a1-4bd96553aaeb', spUUID='cacbdf16-d006-11e1-b98a-001a4a16970e', options=None)
Comment 1 Liron Aravot 2012-08-01 03:33:08 EDT
please provide full engine/vdsm logs

Note You need to log in before you can comment on or make changes to this bug.